require '_h2ph_pre.ph';

no warnings qw(redefine misc);

if(defined(&_ASSERT_H)) {
    undef(&_ASSERT_H) if defined(&_ASSERT_H);
    undef(&assert) if defined(&assert);
    undef(&__ASSERT_VOID_CAST) if defined(&__ASSERT_VOID_CAST);
    if(defined(&__USE_GNU)) {
	undef(&assert_perror) if defined(&assert_perror);
    }
}
eval 'sub _ASSERT_H () {1;}' unless defined(&_ASSERT_H);
require 'features.ph';
if(defined (&__cplusplus)  &&  &__GNUC_PREREQ (2,95)) {
    eval 'sub __ASSERT_VOID_CAST () { &static_cast< &void>;}' unless defined(&__ASSERT_VOID_CAST);
} else {
    eval 'sub __ASSERT_VOID_CAST () {( &void);}' unless defined(&__ASSERT_VOID_CAST);
}
if(defined(&NDEBUG)) {
    eval 'sub assert {
        my($expr) = @_;
	    eval q(( &__ASSERT_VOID_CAST (0)));
    }' unless defined(&assert);
    if(defined(&__USE_GNU)) {
	eval 'sub assert_perror {
	    my($errnum) = @_;
    	    eval q(( &__ASSERT_VOID_CAST (0)));
	}' unless defined(&assert_perror);
    }
} else {
    if(defined (&__cplusplus)) {
	eval 'sub assert {
	    my($expr) = @_;
    	    eval q(( &static_cast < &bool> ($expr) ?  &void (0) :  &__assert_fail ($expr,  &__FILE__,  &__LINE__,  &__ASSERT_FUNCTION)));
	}' unless defined(&assert);
    }
 elsif(!defined (&__GNUC__) || defined (&__STRICT_ANSI__)) {
	eval 'sub assert {
	    my($expr) = @_;
    	    eval q((($expr) ?  &__ASSERT_VOID_CAST (0) :  &__assert_fail ($expr,  &__FILE__,  &__LINE__,  &__ASSERT_FUNCTION)));
	}' unless defined(&assert);
    } else {
	eval 'sub assert {
	    my($expr) = @_;
    	    eval q((( &void) $sizeof{($expr) ? 1: 0},  &__extension__ ({  &if ($expr) ;  &else  &__assert_fail ($expr,  &__FILE__,  &__LINE__,  &__ASSERT_FUNCTION); })));
	}' unless defined(&assert);
    }
    if(defined(&__USE_GNU)) {
	eval 'sub assert_perror {
	    my($errnum) = @_;
    	    eval q((!($errnum) ?  &__ASSERT_VOID_CAST (0) :  &__assert_perror_fail (($errnum),  &__FILE__,  &__LINE__,  &__ASSERT_FUNCTION)));
	}' unless defined(&assert_perror);
    }
    if(defined (&__cplusplus) ?  &__GNUC_PREREQ (2, 6) :  &__GNUC_PREREQ (2, 4)) {
	eval 'sub __ASSERT_FUNCTION () { &__extension__  &__PRETTY_FUNCTION__;}' unless defined(&__ASSERT_FUNCTION);
    } else {
	if(defined (&__STDC_VERSION__)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : undef) >= 199901) {
	    eval 'sub __ASSERT_FUNCTION () { &__func__;}' unless defined(&__ASSERT_FUNCTION);
	} else {
	    eval 'sub __ASSERT_FUNCTION () {(( &const \'char\' *) 0);}' unless defined(&__ASSERT_FUNCTION);
	}
    }
}
if(defined (&__USE_ISOC11)  && !defined (&__cplusplus)) {
    undef(&static_assert) if defined(&static_assert);
    eval 'sub static_assert () { &_Static_assert;}' unless defined(&static_assert);
}
1;
