require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_FILTER_H__)) {
    eval 'sub __LINUX_FILTER_H__ () {1;}' unless defined(&__LINUX_FILTER_H__);
    require 'linux/types.ph';
    require 'linux/bpf_common.ph';
    eval 'sub BPF_MAJOR_VERSION () {1;}' unless defined(&BPF_MAJOR_VERSION);
    eval 'sub BPF_MINOR_VERSION () {1;}' unless defined(&BPF_MINOR_VERSION);
    eval 'sub BPF_RVAL {
        my($code) = @_;
	    eval q((($code) & 0x18));
    }' unless defined(&BPF_RVAL);
    eval 'sub BPF_A () {0x10;}' unless defined(&BPF_A);
    eval 'sub BPF_MISCOP {
        my($code) = @_;
	    eval q((($code) & 0xf8));
    }' unless defined(&BPF_MISCOP);
    eval 'sub BPF_TAX () {0x;}' unless defined(&BPF_TAX);
    eval 'sub BPF_TXA () {0x80;}' unless defined(&BPF_TXA);
    unless(defined(&BPF_STMT)) {
	eval 'sub BPF_STMT {
	    my($code, $k) = @_;
    	    eval q({ ($code), 0, 0, $k });
	}' unless defined(&BPF_STMT);
    }
    unless(defined(&BPF_JUMP)) {
	eval 'sub BPF_JUMP {
	    my($code, $k, $jt, $jf) = @_;
    	    eval q({ ($code), $jt, $jf, $k });
	}' unless defined(&BPF_JUMP);
    }
    eval 'sub BPF_MEMWORDS () {16;}' unless defined(&BPF_MEMWORDS);
    eval 'sub SKF_AD_OFF () {(-0x1000);}' unless defined(&SKF_AD_OFF);
    eval 'sub SKF_AD_PROTOCOL () {0;}' unless defined(&SKF_AD_PROTOCOL);
    eval 'sub SKF_AD_PKTTYPE () {4;}' unless defined(&SKF_AD_PKTTYPE);
    eval 'sub SKF_AD_IFINDEX () {8;}' unless defined(&SKF_AD_IFINDEX);
    eval 'sub SKF_AD_NLATTR () {12;}' unless defined(&SKF_AD_NLATTR);
    eval 'sub SKF_AD_NLATTR_NEST () {16;}' unless defined(&SKF_AD_NLATTR_NEST);
    eval 'sub SKF_AD_MARK () {20;}' unless defined(&SKF_AD_MARK);
    eval 'sub SKF_AD_QUEUE () {24;}' unless defined(&SKF_AD_QUEUE);
    eval 'sub SKF_AD_HATYPE () {28;}' unless defined(&SKF_AD_HATYPE);
    eval 'sub SKF_AD_RXHASH () {32;}' unless defined(&SKF_AD_RXHASH);
    eval 'sub SKF_AD_CPU () {36;}' unless defined(&SKF_AD_CPU);
    eval 'sub SKF_AD_ALU_XOR_X () {40;}' unless defined(&SKF_AD_ALU_XOR_X);
    eval 'sub SKF_AD_VLAN_TAG () {44;}' unless defined(&SKF_AD_VLAN_TAG);
    eval 'sub SKF_AD_VLAN_TAG_PRESENT () {48;}' unless defined(&SKF_AD_VLAN_TAG_PRESENT);
    eval 'sub SKF_AD_PAY_OFFSET () {52;}' unless defined(&SKF_AD_PAY_OFFSET);
    eval 'sub SKF_AD_RANDOM () {56;}' unless defined(&SKF_AD_RANDOM);
    eval 'sub SKF_AD_VLAN_TPID () {60;}' unless defined(&SKF_AD_VLAN_TPID);
    eval 'sub SKF_AD_MAX () {64;}' unless defined(&SKF_AD_MAX);
    eval 'sub SKF_NET_OFF () {(-0x100000);}' unless defined(&SKF_NET_OFF);
    eval 'sub SKF_LL_OFF () {(-0x200000);}' unless defined(&SKF_LL_OFF);
    eval 'sub BPF_NET_OFF () { &SKF_NET_OFF;}' unless defined(&BPF_NET_OFF);
    eval 'sub BPF_LL_OFF () { &SKF_LL_OFF;}' unless defined(&BPF_LL_OFF);
}
1;
