require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_OMAPFB_H__)) {
    eval 'sub __LINUX_OMAPFB_H__ () {1;}' unless defined(&__LINUX_OMAPFB_H__);
    require 'linux/fb.ph';
    require 'linux/ioctl.ph';
    require 'linux/types.ph';
    eval 'sub OMAP_IOW {
        my($num, $dtype) = @_;
	    eval q( &_IOW(ord(\'O\'), $num, $dtype));
    }' unless defined(&OMAP_IOW);
    eval 'sub OMAP_IOR {
        my($num, $dtype) = @_;
	    eval q( &_IOR(ord(\'O\'), $num, $dtype));
    }' unless defined(&OMAP_IOR);
    eval 'sub OMAP_IOWR {
        my($num, $dtype) = @_;
	    eval q( &_IOWR(ord(\'O\'), $num, $dtype));
    }' unless defined(&OMAP_IOWR);
    eval 'sub OMAP_IO {
        my($num) = @_;
	    eval q( &_IO(ord(\'O\'), $num));
    }' unless defined(&OMAP_IO);
    eval 'sub OMAPFB_MIRROR () { &OMAP_IOW(31, \'int\');}' unless defined(&OMAPFB_MIRROR);
    eval 'sub OMAPFB_SYNC_GFX () { &OMAP_IO(37);}' unless defined(&OMAPFB_SYNC_GFX);
    eval 'sub OMAPFB_VSYNC () { &OMAP_IO(38);}' unless defined(&OMAPFB_VSYNC);
    eval 'sub OMAPFB_SET_UPDATE_MODE () { &OMAP_IOW(40, \'int\');}' unless defined(&OMAPFB_SET_UPDATE_MODE);
    eval 'sub OMAPFB_GET_CAPS () { &OMAP_IOR(42, \'struct omapfb_caps\');}' unless defined(&OMAPFB_GET_CAPS);
    eval 'sub OMAPFB_GET_UPDATE_MODE () { &OMAP_IOW(43, \'int\');}' unless defined(&OMAPFB_GET_UPDATE_MODE);
    eval 'sub OMAPFB_LCD_TEST () { &OMAP_IOW(45, \'int\');}' unless defined(&OMAPFB_LCD_TEST);
    eval 'sub OMAPFB_CTRL_TEST () { &OMAP_IOW(46, \'int\');}' unless defined(&OMAPFB_CTRL_TEST);
    eval 'sub OMAPFB_UPDATE_WINDOW_OLD () { &OMAP_IOW(47, \'struct omapfb_update_window_old\');}' unless defined(&OMAPFB_UPDATE_WINDOW_OLD);
    eval 'sub OMAPFB_SET_COLOR_KEY () { &OMAP_IOW(50, \'struct omapfb_color_key\');}' unless defined(&OMAPFB_SET_COLOR_KEY);
    eval 'sub OMAPFB_GET_COLOR_KEY () { &OMAP_IOW(51, \'struct omapfb_color_key\');}' unless defined(&OMAPFB_GET_COLOR_KEY);
    eval 'sub OMAPFB_SETUP_PLANE () { &OMAP_IOW(52, \'struct omapfb_plane_info\');}' unless defined(&OMAPFB_SETUP_PLANE);
    eval 'sub OMAPFB_QUERY_PLANE () { &OMAP_IOW(53, \'struct omapfb_plane_info\');}' unless defined(&OMAPFB_QUERY_PLANE);
    eval 'sub OMAPFB_UPDATE_WINDOW () { &OMAP_IOW(54, \'struct omapfb_update_window\');}' unless defined(&OMAPFB_UPDATE_WINDOW);
    eval 'sub OMAPFB_SETUP_MEM () { &OMAP_IOW(55, \'struct omapfb_mem_info\');}' unless defined(&OMAPFB_SETUP_MEM);
    eval 'sub OMAPFB_QUERY_MEM () { &OMAP_IOW(56, \'struct omapfb_mem_info\');}' unless defined(&OMAPFB_QUERY_MEM);
    eval 'sub OMAPFB_WAITFORVSYNC () { &OMAP_IO(57);}' unless defined(&OMAPFB_WAITFORVSYNC);
    eval 'sub OMAPFB_MEMORY_READ () { &OMAP_IOR(58, \'struct omapfb_memory_read\');}' unless defined(&OMAPFB_MEMORY_READ);
    eval 'sub OMAPFB_GET_OVERLAY_COLORMODE () { &OMAP_IOR(59, \'struct omapfb_ovl_colormode\');}' unless defined(&OMAPFB_GET_OVERLAY_COLORMODE);
    eval 'sub OMAPFB_WAITFORGO () { &OMAP_IO(60);}' unless defined(&OMAPFB_WAITFORGO);
    eval 'sub OMAPFB_GET_VRAM_INFO () { &OMAP_IOR(61, \'struct omapfb_vram_info\');}' unless defined(&OMAPFB_GET_VRAM_INFO);
    eval 'sub OMAPFB_SET_TEARSYNC () { &OMAP_IOW(62, \'struct omapfb_tearsync_info\');}' unless defined(&OMAPFB_SET_TEARSYNC);
    eval 'sub OMAPFB_GET_DISPLAY_INFO () { &OMAP_IOR(63, \'struct omapfb_display_info\');}' unless defined(&OMAPFB_GET_DISPLAY_INFO);
    eval 'sub OMAPFB_CAPS_GENERIC_MASK () {0xfff;}' unless defined(&OMAPFB_CAPS_GENERIC_MASK);
    eval 'sub OMAPFB_CAPS_LCDC_MASK () {0xfff000;}' unless defined(&OMAPFB_CAPS_LCDC_MASK);
    eval 'sub OMAPFB_CAPS_PANEL_MASK () {0xff000000;}' unless defined(&OMAPFB_CAPS_PANEL_MASK);
    eval 'sub OMAPFB_CAPS_MANUAL_UPDATE () {0x1000;}' unless defined(&OMAPFB_CAPS_MANUAL_UPDATE);
    eval 'sub OMAPFB_CAPS_TEARSYNC () {0x2000;}' unless defined(&OMAPFB_CAPS_TEARSYNC);
    eval 'sub OMAPFB_CAPS_PLANE_RELOCATE_MEM () {0x4000;}' unless defined(&OMAPFB_CAPS_PLANE_RELOCATE_MEM);
    eval 'sub OMAPFB_CAPS_PLANE_SCALE () {0x8000;}' unless defined(&OMAPFB_CAPS_PLANE_SCALE);
    eval 'sub OMAPFB_CAPS_WINDOW_PIXEL_DOUBLE () {0x10000;}' unless defined(&OMAPFB_CAPS_WINDOW_PIXEL_DOUBLE);
    eval 'sub OMAPFB_CAPS_WINDOW_SCALE () {0x20000;}' unless defined(&OMAPFB_CAPS_WINDOW_SCALE);
    eval 'sub OMAPFB_CAPS_WINDOW_OVERLAY () {0x40000;}' unless defined(&OMAPFB_CAPS_WINDOW_OVERLAY);
    eval 'sub OMAPFB_CAPS_WINDOW_ROTATE () {0x80000;}' unless defined(&OMAPFB_CAPS_WINDOW_ROTATE);
    eval 'sub OMAPFB_CAPS_SET_BACKLIGHT () {0x1000000;}' unless defined(&OMAPFB_CAPS_SET_BACKLIGHT);
    eval 'sub OMAPFB_FORMAT_MASK () {0xff;}' unless defined(&OMAPFB_FORMAT_MASK);
    eval 'sub OMAPFB_FORMAT_FLAG_DOUBLE () {0x100;}' unless defined(&OMAPFB_FORMAT_FLAG_DOUBLE);
    eval 'sub OMAPFB_FORMAT_FLAG_TEARSYNC () {0x200;}' unless defined(&OMAPFB_FORMAT_FLAG_TEARSYNC);
    eval 'sub OMAPFB_FORMAT_FLAG_FORCE_VSYNC () {0x400;}' unless defined(&OMAPFB_FORMAT_FLAG_FORCE_VSYNC);
    eval 'sub OMAPFB_FORMAT_FLAG_ENABLE_OVERLAY () {0x800;}' unless defined(&OMAPFB_FORMAT_FLAG_ENABLE_OVERLAY);
    eval 'sub OMAPFB_FORMAT_FLAG_DISABLE_OVERLAY () {0x1000;}' unless defined(&OMAPFB_FORMAT_FLAG_DISABLE_OVERLAY);
    eval 'sub OMAPFB_MEMTYPE_SDRAM () {0;}' unless defined(&OMAPFB_MEMTYPE_SDRAM);
    eval 'sub OMAPFB_MEMTYPE_SRAM () {1;}' unless defined(&OMAPFB_MEMTYPE_SRAM);
    eval 'sub OMAPFB_MEMTYPE_MAX () {1;}' unless defined(&OMAPFB_MEMTYPE_MAX);
    eval 'sub OMAPFB_MEM_IDX_ENABLED () {0x80;}' unless defined(&OMAPFB_MEM_IDX_ENABLED);
    eval 'sub OMAPFB_MEM_IDX_MASK () {0x7f;}' unless defined(&OMAPFB_MEM_IDX_MASK);
    eval("sub OMAPFB_COLOR_RGB565 () { 0; }") unless defined(&OMAPFB_COLOR_RGB565);
    eval("sub OMAPFB_COLOR_YUV422 () { 1; }") unless defined(&OMAPFB_COLOR_YUV422);
    eval("sub OMAPFB_COLOR_YUV420 () { 2; }") unless defined(&OMAPFB_COLOR_YUV420);
    eval("sub OMAPFB_COLOR_CLUT_8BPP () { 3; }") unless defined(&OMAPFB_COLOR_CLUT_8BPP);
    eval("sub OMAPFB_COLOR_CLUT_4BPP () { 4; }") unless defined(&OMAPFB_COLOR_CLUT_4BPP);
    eval("sub OMAPFB_COLOR_CLUT_2BPP () { 5; }") unless defined(&OMAPFB_COLOR_CLUT_2BPP);
    eval("sub OMAPFB_COLOR_CLUT_1BPP () { 6; }") unless defined(&OMAPFB_COLOR_CLUT_1BPP);
    eval("sub OMAPFB_COLOR_RGB444 () { 7; }") unless defined(&OMAPFB_COLOR_RGB444);
    eval("sub OMAPFB_COLOR_YUY422 () { 8; }") unless defined(&OMAPFB_COLOR_YUY422);
    eval("sub OMAPFB_COLOR_ARGB16 () { 9; }") unless defined(&OMAPFB_COLOR_ARGB16);
    eval("sub OMAPFB_COLOR_RGB24U () { 10; }") unless defined(&OMAPFB_COLOR_RGB24U);
    eval("sub OMAPFB_COLOR_RGB24P () { 11; }") unless defined(&OMAPFB_COLOR_RGB24P);
    eval("sub OMAPFB_COLOR_ARGB32 () { 12; }") unless defined(&OMAPFB_COLOR_ARGB32);
    eval("sub OMAPFB_COLOR_RGBA32 () { 13; }") unless defined(&OMAPFB_COLOR_RGBA32);
    eval("sub OMAPFB_COLOR_RGBX32 () { 14; }") unless defined(&OMAPFB_COLOR_RGBX32);
    eval("sub OMAPFB_PLANE_GFX () { 0; }") unless defined(&OMAPFB_PLANE_GFX);
    eval("sub OMAPFB_PLANE_VID1 () { 1; }") unless defined(&OMAPFB_PLANE_VID1);
    eval("sub OMAPFB_PLANE_VID2 () { 2; }") unless defined(&OMAPFB_PLANE_VID2);
    eval("sub OMAPFB_CHANNEL_OUT_LCD () { 0; }") unless defined(&OMAPFB_CHANNEL_OUT_LCD);
    eval("sub OMAPFB_CHANNEL_OUT_DIGIT () { 1; }") unless defined(&OMAPFB_CHANNEL_OUT_DIGIT);
    eval("sub OMAPFB_COLOR_KEY_DISABLED () { 0; }") unless defined(&OMAPFB_COLOR_KEY_DISABLED);
    eval("sub OMAPFB_COLOR_KEY_GFX_DST () { 1; }") unless defined(&OMAPFB_COLOR_KEY_GFX_DST);
    eval("sub OMAPFB_COLOR_KEY_VID_SRC () { 2; }") unless defined(&OMAPFB_COLOR_KEY_VID_SRC);
    eval("sub OMAPFB_UPDATE_DISABLED () { 0; }") unless defined(&OMAPFB_UPDATE_DISABLED);
    eval("sub OMAPFB_AUTO_UPDATE () { 1; }") unless defined(&OMAPFB_AUTO_UPDATE);
    eval("sub OMAPFB_MANUAL_UPDATE () { 2; }") unless defined(&OMAPFB_MANUAL_UPDATE);
}
1;
